Upload from flickr randomly fails for some images sharing same title in a set or sequential uploads
Closed, ResolvedPublic

Description

Author: russavia.wikipedia

Description:
I have attempted to upload http://www.flickr.com/photos/emmanueldyan/sets/72157626778462048/ using the Flickr option in Upload Wizard and I am getting error "You are already uploading the file "Thol Lake - Gujarat, India.jpg"." Once I managed to close the pop-up warning, the wizard decides it only wishes to upload a total of 2 images from the set, even though the rest are not on Commons. This error also occurs with other sets I have tried from other flickr photographers.


Version: master
Severity: major
URL: http://test.wikipedia.org/wiki/Special:UploadWizard
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=43590

bzimport set Reference to bz43320.
bzimport created this task.Via LegacyDec 21 2012, 3:16 PM
Aklapper added a comment.Via ConduitDec 21 2012, 4:00 PM
  • Bug 43322 has been marked as a duplicate of this bug. ***
kaldari added a comment.Via ConduitDec 21 2012, 7:31 PM

Able to reproduce, but not sure what's going on here.

Nischayn22 added a comment.Via ConduitDec 22 2012, 1:01 PM

I tried to reproduce this bug on http://test.wikipedia.org/wiki/Special:UploadWizard I got the error "You are already uploading the file "Thol Lake - Gujarat, India.jpg"." a lot of times all overlapped (that should be a separate bug), but after closing all those dialogs there were just 2 remaining images. My conclusion is- since all the files in this set are named the same i.e. "Thol Lake - Gujarat, India.jpg" their uploading gets cancelled and only one or two of the images gets through. However, those two still had the same name for me which doesn't make sense.

JeanFred added a comment.Via ConduitDec 23 2012, 8:07 PM

Nischay report matches my own experience (in [[bugzilla:43369]]): seems to be triggered by the fact that files from the set share the same name (which make kinda sense given the error message) ; but files that succeed in being selected may still share the same name.

JeanFred added a comment.Via ConduitDec 23 2012, 8:08 PM
  • Bug 43369 has been marked as a duplicate of this bug. ***
Nemo_bis added a comment.Via ConduitJan 2 2013, 3:23 PM

The results seem quite random, I think it fails less images when the computer is slow enough not to retrieve all of the images in the same moment.
For two sets of similar size, in one I got only one "You are already uploading the file" error, in another a dozen.

Nemo_bis added a comment.Via ConduitJan 2 2013, 3:45 PM

Note that for some reason I'm also shown the warning about really wanting to abandon the page, even though I've not tried to close anything.

Nischayn22 added a comment.Via ConduitJan 8 2013, 4:15 PM

https://gerrit.wikimedia.org/r/#/c/42775/ renames images if found with similar names.. The user already has an option to enter a reasonable name afterwards and this doesn't block him from uploading any images as with the set given above.

yuvipanda added a comment.Via ConduitApr 11 2013, 10:24 PM

Doing a bunch of fixes and testing Nischay's patch. I think making the images titles be '$Title - $ID.extension' is better than '$Authoer - $ID.extenson'. Will submit a fix.

Nischayn22 added a comment.Via ConduitApr 12 2013, 5:16 PM

Thanks Yuvi for being the catalyst here :)

kaldari added a comment.Via ConduitApr 12 2013, 7:03 PM

This fix has a bug. Please see inline comments at https://gerrit.wikimedia.org/r/#/c/42775/6

Thanks for your work on this! Sorry I missed doing the review earlier.

gerritbot added a comment.Via ConduitApr 12 2013, 7:59 PM

Related URL: https://gerrit.wikimedia.org/r/58998 (Gerrit Change Id1b7f45f08f727a999d700863bb0830c73e389c5)

yuvipanda added a comment.Via ConduitApr 12 2013, 8:02 PM

Submitted a followup

gerritbot added a comment.Via ConduitApr 12 2013, 8:14 PM

Related URL: https://gerrit.wikimedia.org/r/59000 (Gerrit Change Icae2e54866aa63531b4eef1262a0798bcc51cf8f)

kaldari added a comment.Via ConduitApr 12 2013, 8:15 PM

Also, that fix only fixes it for photosets, not for sequential single uploads. I checked in a new fix here: https://gerrit.wikimedia.org/r/#/c/59000/

kaldari added a comment.Via ConduitApr 12 2013, 8:17 PM

Sorry I did a separate commit, didn't know you were working on a new one at the same time :)

yuvipanda added a comment.Via ConduitApr 12 2013, 8:18 PM

Hehe, that's okay. I'm testing yours now, will merge in a bit.

Strainu added a comment.Via ConduitOct 1 2013, 7:30 AM

Reopening since I'm still seeing the issue for sequential single uploads. I see that the change fixing this has been merged and I'm pretty sure it has also been deployed.

I'm trying to upload http://www.flickr.com/photos/antonescurazvan/152113025/ and sequential images from the photostream

gerritbot added a comment.Via ConduitDec 23 2013, 6:20 PM

Change 103388 had a related patch set uploaded by Gergő Tisza:
Handle multiple Flickr uploads with identical title

https://gerrit.wikimedia.org/r/103388

gerritbot added a comment.Via ConduitJan 6 2014, 3:53 PM

Change 103388 merged by jenkins-bot:
Handle multiple Flickr uploads with identical title

https://gerrit.wikimedia.org/r/103388

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:35 AM
Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:21 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.